petsc-3.7.1 2016-05-15
Report Typos and Errors

# ISCreate

Creates an index set object.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISCreate(MPI_Comm comm,IS *is)

Collective on MPI_Comm Many br

### Input Parameters

comm -the MPI communicator Many br

### Output Parameter

is -the new index set Many br

### Notes

When the communicator is not MPI_COMM_SELF, the operations on IS are NOT Many brconceptually the same as MPI_Group operations. The IS are then Many brdistributed sets of indices and thus certain operations on them are Many brcollective. Many br

Many br

### See Also

ISCreateGeneral(), ISCreateStride(), ISCreateBlock(), ISAllGather()

Level:beginner
Location:src/vec/is/is/interface/isreg.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages